Subject: Re: [PATCH v2] dt-bindings: leds: Document "netdev" trigger

From: Lee Jones <[email-masked]>
Date: Mon, 5 Aug 2024 14:56:43 +0100

On Thu, 01 Aug 2024, Andrew Lunn wrote:

> On Thu, Aug 01, 2024 at 01:53:09PM +0100, Lee Jones wrote:
> > On Thu, 25 Jul 2024, Andrew Lunn wrote:
> > 
> > > > > diff --git a/Documentation/devicetree/bindings/leds/common.yaml b/Documentation/devicetree/bindings/leds/common.yaml
> > > > > index 8a3c2398b10ce..bf9a101e4d420 100644
> > > > > --- a/Documentation/devicetree/bindings/leds/common.yaml
> > > > > +++ b/Documentation/devicetree/bindings/leds/common.yaml
> > > > > @@ -113,6 +113,8 @@ properties:
> > > > >              # LED indicates NAND memory activity (deprecated),
> > > > >              # in new implementations use "mtd"
> > > > >            - nand-disk
> > > > > +            # LED indicates network activity
> > > > > +          - netdev
> > > > 
> > > > netdev is the description of the network development ML/repo, right?
> > > > 
> > > > Seems like an odd name for an OS agnostic property?
> > > 
> > > I agree that one meaning is the network development community within
> > > Linux.
> > > 
> > > But it also means a network device, which is OS agnostic. I don't
> > > really see it be any different to a memory technology device, mtd.
> > 
> > MTD is an acronym.
> > 
> > The only dodgy one I see in there is 'kbd-capslock'.
> > 
> > How about, now go with me here: 'network'?
> 
> We could do, but we have to keep netdev around for backwards
> compatibility. There are DT blobs using it which we cannot break.

Oh, this 'just' a documentation patch?  'netdev' is already in use?

-- 
Lee Jones [李琼斯]